aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuillaume Horel <guillaume.horel@gmail.com>2013-01-07 21:17:08 -0500
committerGuillaume Horel <guillaume.horel@gmail.com>2013-01-07 21:17:08 -0500
commit7192833ee78d6557de68a3c89a4a1bab1b1382d1 (patch)
tree274185d325d5ff488fee57622b0e974a604f4094 /dev-java/flexdock/flexdock-1.2.1.ebuild
parentdev-java/jrosetta fix ant build files (diff)
downloadsci-7192833ee78d6557de68a3c89a4a1bab1b1382d1.tar.gz
sci-7192833ee78d6557de68a3c89a4a1bab1b1382d1.tar.bz2
sci-7192833ee78d6557de68a3c89a4a1bab1b1382d1.zip
dev-java/flexdock version bump
Diffstat (limited to 'dev-java/flexdock/flexdock-1.2.1.ebuild')
-rw-r--r--dev-java/flexdock/flexdock-1.2.1.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-java/flexdock/flexdock-1.2.1.ebuild b/dev-java/flexdock/flexdock-1.2.1.ebuild
new file mode 100644
index 000000000..75c36ee36
--- /dev/null
+++ b/dev-java/flexdock/flexdock-1.2.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="A Java docking framework for use in cross-platform Swing applications"
+HOMEPAGE="http://flexdock.dev.java.net/"
+SRC_URI="http://forge.scilab.org/index.php/p/flexdock/downloads/get/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.4"
+DEPEND=">=virtual/jdk-1.4
+ app-arch/unzip
+ dev-java/skinlf"
+
+EANT_BUILD_TARGET="jar"
+EANT_DOC_TARGET="doc"
+
+java_prepare() {
+ epatch "${FILESDIR}"/${P}-nodemo.patch
+
+ #some cleanups
+ find . -name '*.so' -exec rm -v {} \;|| die
+ find . -name '*.dll' -exec rm -v {} \;|| die
+
+ #remove built-in jars and use the system ones
+ cd lib || die
+ rm -rvf *.jar jmf|| die
+ java-pkg_jar-from skinlf
+}
+
+src_install() {
+ java-pkg_newjar "build/${P}.jar" "${PN}.jar"
+ use doc && java-pkg_dojavadoc build/docs/api
+ use source && java-pkg_dosrc src
+}